org.apache.ignite.internal

## Class NodeInvalidator

- java.lang.Object
- - org.apache.ignite.internal.NodeInvalidator

    public class NodeInvalidator
    extends Object

Temporary functionality to invalidate and stop the node. TODO: Should be replaced on proper implementation in https://issues.apache.org/jira/browse/IGNITE-6891

### Field Summary

Fields
`static NodeInvalidator` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `invalidate(GridKernalContext ctx, Throwable error)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static NodeInvalidator INSTANCE

### Method Detail

#### invalidate

    public void invalidate(@NotNull
                           GridKernalContext ctx,
                           @NotNull
                           Throwable error)

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018